Sign in
Games & Xbox

Thank you for downloading

  • Microsoft Flight Simulator X SDK SP1A

    If your download does not start after 30 seconds, Click here
      • The original version of the SDK from Microsoft Flight Simulator X (Deluxe) must be installed prior to installing this SDK SP1 update. Microsoft Flight Simulator X should also be installed prior to utilizing the SDK, as well as the Microsoft .NET 2.0 framework, to ensure all dependent components are installed prior to utilizing the tools contained in this SDK.

Popular Downloads

Loading your results, please wait...